Name:          re2c
Version:       2.2
Release:       1mamba
Summary:       A tool for writing very fast and very flexible scanners
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://re2c.org/
Source:        https://github.com/skvadrik/re2c/releases/download/%{version}/re2c-%{version}.tar.xz
#Source:        http://downloads.sourceforge.net/sourceforge/re2c/re2c-%{version}.tar.gz
License:       Public Domain
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
re2c is a tool for writing very fast and very flexible scanners. Unlike any other such tool, re2c focuses on generating high efficient code for regular expression matching. As a result this allows a much broader range of use than any traditional lexer offers. And Last but not least re2c generates warning free code that is equal to hand-written code in terms of size, speed and quality. 

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/re2c
%{_bindir}/re2go
%dir %{_datadir}/re2c
%dir %{_datadir}/re2c/stdlib
%{_datadir}/re2c/stdlib/unicode_categories.re
%{_mandir}/man1/re2c.1*
%{_mandir}/man1/re2go.1*

%changelog
* Sun Aug 01 2021 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- automatic version update by autodist

* Mon Mar 29 2021 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic version update by autodist

* Wed Aug 26 2020 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Sun Aug 23 2020 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Tue Aug 04 2020 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Sat Jul 25 2020 Automatic Build System <autodist@mambasoft.it> 2.0-1mamba
- automatic version update by autodist

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Wed Aug 14 2019 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Fri Aug 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2-1mamba
- update to 1.2

* Wed Aug 16 2017 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Thu May 12 2016 Automatic Build System <autodist@mambasoft.it> 0.16-1mamba
- automatic version update by autodist

* Wed May 20 2015 Automatic Build System <autodist@mambasoft.it> 0.14.3-1mamba
- automatic version update by autodist

* Thu Apr 09 2015 Automatic Build System <autodist@mambasoft.it> 0.14.2-1mamba
- automatic update by autodist

* Tue Mar 10 2015 Automatic Build System <autodist@mambasoft.it> 0.14.1-1mamba
- automatic update by autodist

* Sat Sep 20 2014 Automatic Build System <autodist@mambasoft.it> 0.13.7.5-1mamba
- automatic update by autodist

* Tue Jul 29 2014 Automatic Build System <autodist@mambasoft.it> 0.13.7.3-1mamba
- automatic update by autodist

* Mon Jul 08 2013 Automatic Build System <autodist@mambasoft.it> 0.13.6-1mamba
- automatic version update by autodist

* Thu Oct 09 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.5-1mamba
- automatic update by autodist

* Wed Sep 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.12.3-1mamba
- package created by autospec
